import request from '../utils/request.js'

//部门信息
export const DepartmentOrderPaged = (params) => {
	params.isAll=true
	return request.send({
		url: '/BI/H5Controller/DepartmentOrderPaged',
		method: 'post',
		data: params,
	})
}
//岗位
export const UserPostOrderPaged = (params) => {
	params.isAll=true
	return request.send({
		url: '/BI/H5Controller/UserPostOrderPaged',
		method: 'post',
		data: params,
	})
}
//组织岗位
export const DepartmentPostEntities = (params) => {
	params.isAll=true
	return request.send({
		url: '/BI/H5Controller/DepartmentPostEntities',
		method: 'post',
		data: params,
	})
}
//区域信息
export const AreaEntities = (params) => {
	params.isAll=true
	return request.send({
		url: '/BI/H5Controller/AreaEntities',
		method: 'post',
		data: params,
	})
}
//辨识部门
export const DepartOrderPaged = (params) => {
	params.isAll=true
	return request.send({
		url: '/BI/H5Controller/DepartOrderPaged',
		method: 'post',
		data: params,
	})
}
//辨识岗位
export const PostOrderPaged = (params) => {
	params.isAll=true
	return request.send({
		url: '/BI/H5Controller/PostOrderPaged',
		method: 'post',
		data: params,
	})
}

//辨识岗位
export const getEnum = (params) => {
	// params.isAll=true
	return request.send({
		url: '/PF/Extend/GetEnum',
		method: 'get',
		data: params,
	})
}